Get brand by ID
GET/v2/brands/{id}
Retrieves a single brand by its Featurebase ID.
Path Parameters
id- The Featurebase internal ID of the brand (MongoDB ObjectId)
Response
Returns a brand object with:
id- Featurebase internal IDname- Brand display nameisDefault- Whether this is the default brandcreatedAt- Creation timestampupdatedAt- Last update timestamphelpCenterId- Associated help center IDsenderEmailAddressId- Default sender email address ID
Example Response
{
"object": "brand",
"id": "507f1f77bcf86cd799439011",
"name": "Default Brand",
"isDefault": true,
"createdAt": "2025-01-01T12:00:00.000Z",
"updatedAt": "2025-01-10T15:30:00.000Z",
"helpCenterId": "11",
"senderEmailAddressId": "507f1f77bcf86cd799439012"
}
Error Responses
- 404 Not Found - Brand with the specified ID does not exist
Version Availability
This endpoint is only available in API version 2026-01-01.nova and newer.
Get brand by ID
curl https://do.featurebase.app/v2/brands/$ID \
-H "Authorization: Bearer $FEATUREBASE_API_KEY"{
"id": "507f1f77bcf86cd799439011",
"createdAt": "2025-01-01T12:00:00.000Z",
"helpCenterId": "11",
"isDefault": true,
"name": "Default Brand",
"object": "brand",
"senderEmailAddressId": "507f1f77bcf86cd799439012",
"updatedAt": "2025-01-10T15:30:00.000Z"
}Returns Examples
{
"id": "507f1f77bcf86cd799439011",
"createdAt": "2025-01-01T12:00:00.000Z",
"helpCenterId": "11",
"isDefault": true,
"name": "Default Brand",
"object": "brand",
"senderEmailAddressId": "507f1f77bcf86cd799439012",
"updatedAt": "2025-01-10T15:30:00.000Z"
}